%define _disable_ld_no_undefined 1

Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.22
Release:	%mkrel 1
License:	GPL
Source: 	%{name}-%{version}.tar.xz
Patch0:		tuxpaint-0.9.20-lin_with_libpng.diff
Patch1:		tuxpaint-0.9.20-fix-makefile_lib64.patch
Patch2:		tuxpaint-0.9.21-LDFLAGS.patch
Patch3:		tuxpaint-0.9.21-libpng1.5.patch
Patch4:		tuxpaint-0.9.21-link.patch
Patch5:		tuxpaint-0.9.21-puzzle.patch
Group:		Education
URL:		http://www.tuxpaint.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  png-devel freetype2-devel 
BuildRequires:	gettext kdelibs-devel %{_lib}paper-devel 
BuildRequires:	%{_lib}SDL-devel %{_lib}SDL_mixer1.2-devel %{_lib}SDL_ttf-devel %{_lib}SDL_image-devel
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}SDL_Pango-devel zlib-devel %{_lib}rsvg2-devel
BuildRequires:	fribidi-devel
Requires: 	netpbm

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%package devel
Summary:    Devel files of tuxpaint
Group:      Development/C
Requires:   gcc-c++ %name = %version

%description devel
Header files and development documentation for tuxpaint.

%prep
%setup -q 
###%patch0 -p0
###%patch1 -p0
###%patch2 -p0
###%patch3 -p0
###%patch4 -p0
###%patch5 -p0

%build
%make OPTFLAGS="%{optflags}" PREFIX=/usr LIBDIR=%{_libdir} LDFLAGS="%ldflags"

%install
rm -rf %{buildroot}

make install BUILDPREFIX="%{buildroot}" PKG_ROOT="%{buildroot}" PREFIX="%{_usr}" X11_ICON_PREFIX="%{buildroot}%{_includedir}/X11/pixmaps" LIBDIR=%{_libdir}

find %{buildroot} -name tuxpaint.desktop | sort | \
    sed -e "s@%{buildroot}@@g" > filelist.icons
find %{buildroot} -name tuxpaint.png | sort | \
    sed -e "s@%{buildroot}@@g" >> filelist.icons
find %{buildroot} -name tuxpaint.svg | sort | \
    sed -e "s@%{buildroot}@@g" >> filelist.icons
find %{buildroot} -name tuxpaint.xpm | sort | \
    sed -e "s@%{buildroot}@@g" >> filelist.icons

%find_lang %{name}

mkdir -p %{buildroot}/%{_datadir}/applications


mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
			--remove-category=" Art" \
			--add-category="Education" \
			--add-category="X-MandrivaLinux-Multimedia-Graphics" \
			src/tuxpaint.desktop

install -m644 data/images/icon16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/images/icon32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/images/icon48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

rm -Rf %{buildroot}%{_datadir}/applnk
chmod -R go+r docs/

rm -Rf %{buildroot}/%{_datadir}/doc/%{name}
rm -Rf %{buildroot}/%{_datadir}/%{name}/images/icon32x32.xpm

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%defattr(644,root,root,755)
%doc docs/*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-import.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%dir %{_sysconfdir}/tuxpaint
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_sysconfdir}/bash_completion.d/tuxpaint-completion.bash
%dir /usr/include/X11/pixmaps
%{_libdir}/lib/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*png
%{_includedir}/X11/pixmaps/tuxpaint.xpm
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%files devel
%defattr(-,root,root)
%doc %_defaultdocdir/%{name}-dev*
%doc %{_mandir}/man1/tp-magic-config*
%dir %{_includedir}/%{name}
%{_bindir}/tp-magic-config
%{_includedir}/%{name}/*


%changelog
* Tue Aug 26 2014 pinoc <vogtpet at gmail.com> 0.9.22-1pclos2014
- 9.22

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.9.21-2pclos2013
- amended BR for 32/64, added BR fribidi-devel
- added 6 patches from MGA 
- added libdir options in make to have it in lib64

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.9.21-1pclos2010
- 0.9.21

* Sun May 25 2009 Texstar <texstar@gmail.com> 0.9.20-1pclos2009
- 0.9.20
- fix rpm group
